## cascading.flow.planner
Class PlannerException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  cascading.CascadingException
                      cascading.flow.FlowException
                          cascading.flow.planner.PlannerException

All Implemented Interfaces:
  Serializable

    public class PlannerException

extends FlowException

Class PlannerException is thrown when a job planner fails.

For debugging purposes, the PlannerException holds a copy of the internal job representation which can be written out to disk and visualized with tools that support the DOT file format using the `writeDOT(String)` method.

See Also:
  Serialized Form

Constructor Summary
`PlannerException()` Constructor PlannerException creates a new PlannerException instance.
`PlannerException(Pipe pipe, String message)` Constructor PlannerException creates a new PlannerException instance.
`PlannerException(Pipe pipe, String message, Throwable throwable)` Constructor PlannerException creates a new PlannerException instance.
`PlannerException(Pipe pipe, String message, Throwable throwable, ElementGraph elementGraph)` Constructor PlannerException creates a new PlannerException instance.
`PlannerException(String string)` Constructor PlannerException creates a new PlannerException instance.
`PlannerException(String string, Throwable throwable)` Constructor PlannerException creates a new PlannerException instance.
`PlannerException(String string, Throwable throwable, ElementGraph elementGraph)` Constructor PlannerException creates a new PlannerException instance.
`PlannerException(Throwable throwable)` Constructor PlannerException creates a new PlannerException instance.

Method Summary
`void` `writeDOT(String filename)` Method writeDOT writes the failed Flow instance to the given filename as a DOT file for import into a graphics package.

Methods inherited from class cascading.flow.FlowException
`getFlowName`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PlannerException

    public PlannerException()

  Constructor PlannerException creates a new PlannerException instance.

### PlannerException

    public PlannerException(Pipe pipe,
                            String message)

  Constructor PlannerException creates a new PlannerException instance.

  Parameters:
    `pipe` - of type Pipe
    `message` - of type String

### PlannerException

    public PlannerException(Pipe pipe,
                            String message,
                            Throwable throwable)

  Constructor PlannerException creates a new PlannerException instance.

  Parameters:
    `pipe` - of type Pipe
    `message` - of type String
    `throwable` - of type Throwable

### PlannerException

    public PlannerException(Pipe pipe,
                            String message,
                            Throwable throwable,
                            ElementGraph elementGraph)

  Constructor PlannerException creates a new PlannerException instance.

  Parameters:
    `pipe` - of type Pipe
    `message` - of type String
    `throwable` - of type Throwable
    `elementGraph` - of type ElementGraph

### PlannerException

    public PlannerException(String string)

  Constructor PlannerException creates a new PlannerException instance.

  Parameters:
    `string` - of type String

### PlannerException

    public PlannerException(String string,
                            Throwable throwable)

  Constructor PlannerException creates a new PlannerException instance.

  Parameters:
    `string` - of type String
    `throwable` - of type Throwable

### PlannerException

    public PlannerException(Throwable throwable)

  Constructor PlannerException creates a new PlannerException instance.

  Parameters:
    `throwable` - of type Throwable

### PlannerException

    public PlannerException(String string,
                            Throwable throwable,
                            ElementGraph elementGraph)

  Constructor PlannerException creates a new PlannerException instance.

  Parameters:
    `string` - of type String
    `throwable` - of type Throwable
    `elementGraph` - of type SimpleDirectedGraph<FlowElement, Scope>

Method Detail

### writeDOT

    public void writeDOT(String filename)

  Method writeDOT writes the failed Flow instance to the given filename as a DOT file for import into a graphics package.

  Parameters:
    `filename` - of type String

Copyright © 2007-2014 Concurrent, Inc. All Rights Reserved.